Name:		rootfiles
Version:	8.1
Release:        25
Summary:	Basic required files for the root user's account
License:	Public Domain
URL:            https://src.fedoraproject.org/rpms/rootfiles/tree/master

Source0: 	dot-bashrc
Source1: 	dot-bash_profile
Source2: 	dot-bash_logout
Source3: 	dot-tcshrc
Source4: 	dot-cshrc

BuildArch:	noarch

%description
The rootfiles package contains basic required files that are placed
in the root user's account. These files are basically the same as
those in /etc/skel, which are placed in regular users' home directories.

%prep

%install
mkdir -p %{buildroot}/root

install -p -m 644 %{SOURCE0} %{buildroot}/root/.bashrc
install -p -m 644 %{SOURCE1} %{buildroot}/root/.bash_profile
install -p -m 644 %{SOURCE2} %{buildroot}/root/.bash_logout
install -p -m 644 %{SOURCE3} %{buildroot}/root/.tcshrc
install -p -m 644 %{SOURCE4} %{buildroot}/root/.cshrc


%posttrans
if [ $1 -eq 0 ] ; then
	cp -ndr --preserve=ownership,timestamps /etc/skel/. /root/ || :
fi

%files
%config(noreplace) /root/.bashrc
%config(noreplace) /root/.bash_profile
%config(noreplace) /root/.bash_logout
%config(noreplace) /root/.tcshrc
%config(noreplace) /root/.cshrc

%changelog
* Tue Dec 24 2019 openEuler Buildteam <buildteam@openeuler.org> - 8.1-25
- Add URL

* Fri Aug 30 2019 luhuaxin <luhuaxin@huawei.com> - 8.1-24
- Package init
